#==============================================================================
#==============================================================================
#
#             Analysis of xylose oxidation after 48h 
#                 in Langenheder et al. (2010) dataset
#             
#                    Benoit JAILLARD, January 2017
#                    
#                      benoit.jaillard@inra.fr
#
#==============================================================================
#==============================================================================


#==============================================================================
#  Loading of usefull files and data
#==============================================================================

rm(list = ls())

source("myTools.R")
source("myCombinat.R")
source("mySeparating.R")
source("myPredicting.R")


#==============================================================================
#==============================================================================
#
#    BEGINNING OF THE MAIN
#
#==============================================================================
#==============================================================================

# Assignment in functional groups
nbElt     <- 6
gf        <- rep(1, nbElt)
affectElt <- rep(1, nbElt)

titre <- "Langenheder.etal.2010.xylose.48h"
data  <- read.table(paste(titre, "csv", sep ="."), header = TRUE, sep = ",")


mOccur <- as.matrix(data[ , 1:nbElt])
Fobs   <- as.vector(as.numeric(unlist(data[ , nbElt + 1])))

figures  <- check.symbol(figures,  dim(mOccur)[1])
couleurs <- check.symbol(couleurs, dim(mOccur)[1])


source("nyBeginning.script.R")

source("nySeparating.script.R")

source("nyPredicting.script.R")


#==============================================================================
#==============================================================================
#==============================================================================
#==============================================================================

