#==============================================================================
#==============================================================================
#
#             Analysis of year 2004 of Tilman et al (2001) data set
#             
#                    Benoît JAILLARD, January 2017
#                    
#                    benoit.jaillard@inra.fr

#==============================================================================
#==============================================================================


#==============================================================================
#  Loading of usefull files and data
#==============================================================================

rm(list = ls())

source("myTools.R")
source("myCombinat.R")
source("mySeparating.R")
source("myPredicting.R")


#==============================================================================
#==============================================================================
#
#    BEGINNING OF THE MAIN
#
#==============================================================================
#==============================================================================

# Assignment in functional groups
# avec 1: forb, 2: fabac?es, 3: C3- et 4:C4-grasses
nbElt     <- 16
gf        <- c(1,3,2,4,1,3,3,2,1,2,1,4,2,3,4,4)
affectElt <- rep(1, nbElt)

titre <- "Tilman.etal.2001.year.2004"
data  <- read.table(paste(titre, "csv", sep ="."), header = TRUE, sep = ",")

mOccur <- as.matrix(data[ , 1:nbElt])
Fobs   <- as.vector(as.numeric(unlist(data[ , nbElt + 1])))

figures  <- check.symbol(figures,  dim(mOccur)[1])
couleurs <- check.symbol(couleurs, dim(mOccur)[1])


source("nyBeginning.script.R")

source("nySeparating.script.R")

source("nyPredicting.script.R")


#==============================================================================
#==============================================================================
#==============================================================================
#==============================================================================

